/*  $Id: TestMimeTypeDB.java 1335 2012-08-25 13:27:49Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2002-2012 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package test;

import net.eduvax.util.MimeTypeDB;
import net.eduvax.util.App;
import org.junit.*;
import static org.junit.Assert.*;

public class TestMimeTypeDB {
    @Before public void setUp() {
    	App.init();
		mimeDB=new MimeTypeDB();
		mimeDB.load("src/test/mime.types");
    }
    @After public void tearDown() {
    }

    @Test public void testMime() {
		assertTrue("application/x-test1".equals(
						mimeDB.getMimeType("/tmp/file.test1")));
		assertTrue("application/x-test2".equals(
						mimeDB.getMimeType("/tmp/file.test2")));
		assertTrue("application/x-test2".equals(
						mimeDB.getMimeType("/tmp/file.test3")));
		assertTrue("application/octet-stream".equals(
						mimeDB.getMimeType("/tmp/file.test4")));
    }
    private MimeTypeDB mimeDB;
}        
